org.apache.lucene.analysis.standard

## Class StandardFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.standard.StandardFilterFactory

- Deprecated.
  StandardFilter is a no-op and can be removed from filter chains

      @Deprecated
      public class StandardFilterFactory
      extends TokenFilterFactory

  Factory for `StandardFilter`.

       <fieldType name="text_stndrd" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.StandardTokenizerFactory"/>
           <filter class="solr.StandardFilterFactory"/>
         </analyzer>
       </fieldType>

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardFilterFactory(Map<String,String> args)` Deprecated. Creates a new StandardFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardFilter` | `create(TokenStream input)` Deprecated. Transform the specified input TokenStream

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardFilterFactory

          public StandardFilterFactory(Map<String,String> args)

      Deprecated.
      Creates a new StandardFilterFactory

  - ### Method Detail

    - #### create

          public StandardFilter create(TokenStream input)

      Deprecated.
      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.